# eslint-config-opinionated [![build](https://img.shields.io/travis/aymericbeaumet/eslint-config-opinionated/master.svg?style=flat-square)](https://travis-ci.org/aymericbeaumet/eslint-config-opinionated)

> Opinionated set of ESLint rules

A set of [ESLint](eslint.org) configuration, following this hierarchy:

- [Base](./index.js): common denominator rules
  - [Node](./node.js): [Node.js](https://nodejs.org/) specific rules
  - [Browser](./node.js): browser specific rules
    - [React](./react.js): [React](https://facebook.github.io/react/) specific
      rules
      - [React-Native](./react-native.js): [React
        Native](https://facebook.github.io/react-native/) specific rules
- [Functional Programming](./fp.js): functional programming rules focusing on
  immutability

## Install

```bash
$ npm install --save-dev eslint eslint-config-opinionated
```

## Usage

Let your ESLint configuration [know about this
package](http://eslint.org/docs/user-guide/configuring#using-a-shareable-configuration-package):

```js
module.exports = {
  extends: 'opinionated',
}
```

Or you can extend a specific configuration optimized for an environment:

```js
module.exports = {
  extends: 'opinionated/node',
}
```

It is possible to extend several configurations:

```js
module.exports = {
  extends: [
    'opinionated/node',
    'opinionated/fp',
  ],
}
```

## Changelog

- 1.0.0
  - Bump stable

## License

[![CC0](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Aymeric Beaumet](https://aymericbeaumet.com)
has waived all copyright and related or neighboring rights to this work.
